using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Database.Repository;
using Pos.Category;
using Pos.Setting.ProductGroup;

namespace Pos.Setting
{
    /// <summary>
    /// Interaction logic for SettingWindow.xaml
    /// </summary>
    public partial class SettingWindow : Window
    {
        public SettingWindow()
        {
            InitializeComponent();
        }

        private void btnClerks_Click(object sender, RoutedEventArgs e)
        {
            EmployeeWindow employeeWindow = new EmployeeWindow();
            employeeWindow.Show();
            
        }

        private void btnCategories_Click(object sender, RoutedEventArgs e)
        {
            ProductGroupWindow productGroupWindow = new ProductGroupWindow();
            productGroupWindow.Show();
        }

        private void btnProductGroups_Click(object sender, RoutedEventArgs e)
        {
            ProductWindow productWindow = new ProductWindow();
            //Check if there is any categories, if not close this window with a message.
            ProductGroupRepository categoryRepository = new ProductGroupRepository();
            bool anyExist = categoryRepository.Any();
            if (!anyExist)
            {
                MessageBox.Show("Der er ingen kategorier, opret dem først", "Kategorier", MessageBoxButton.OK,
                    MessageBoxImage.Warning);
            }
            else
            {
                productWindow.Show();
            }
        }
    }
}
